MrBeanModule
Date: 2017-02-10

com.fasterxml.jackson.module.mrbean

## Class MrBeanModule

- java.lang.Object
- - com.fasterxml.jackson.databind.Module
  - - com.fasterxml.jackson.module.mrbean.MrBeanModule

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned

      public class MrBeanModule
      extends com.fasterxml.jackson.databind.Module

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.Module

      `com.fasterxml.jackson.databind.Module.SetupContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractTypeMaterializer` | `_materializer` Configured materializer instance to register with deserializer factory.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MrBeanModule()`
    `MrBeanModule(AbstractTypeMaterializer materializer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractTypeMaterializer` | `getMaterializer()` Accessor for getting internal `AbstractTypeMaterializer`; usually needed to call `AbstractTypeMaterializer.materializeClass(com.fasterxml.jackson.databind.DeserializationConfig, com.fasterxml.jackson.databind.JavaType)`.
    `java.lang.String` | `getModuleName()`
    `void` | `setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)`
    `com.fasterxml.jackson.core.Version` | `version()`

    - ### Methods inherited from class com.fasterxml.jackson.databind.Module

      `getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _materializer

          protected AbstractTypeMaterializer _materializer

      Configured materializer instance to register with deserializer factory.

  - ### Constructor Detail

    - #### MrBeanModule

          public MrBeanModule()

    - #### MrBeanModule

          public MrBeanModule(AbstractTypeMaterializer materializer)

  - ### Method Detail

    - #### getModuleName

          public java.lang.String getModuleName()

      Specified by:
        `getModuleName` in class `com.fasterxml.jackson.databind.Module`

    - #### version

          public com.fasterxml.jackson.core.Version version()

      Specified by:
        `version` in interface `com.fasterxml.jackson.core.Versioned`
      Specified by:
        `version` in class `com.fasterxml.jackson.databind.Module`

    - #### setupModule

          public void setupModule(com.fasterxml.jackson.databind.Module.SetupContext context)

      Specified by:
        `setupModule` in class `com.fasterxml.jackson.databind.Module`

    - #### getMaterializer

          public AbstractTypeMaterializer getMaterializer()

      Accessor for getting internal `AbstractTypeMaterializer`; usually needed to call `AbstractTypeMaterializer.materializeClass(com.fasterxml.jackson.databind.DeserializationConfig, com.fasterxml.jackson.databind.JavaType)`.